Subject: Re: [PATCH v2 08/11] reftable/writer: unify releasing memory

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 4 Apr 2024 13:43:17 +0200

On Thu, Apr 04, 2024 at 11:00:46AM +0200, Han-Wen Nienhuys wrote:
> On Thu, Apr 4, 2024 at 9:32 AM Patrick Steinhardt <[email-masked]> wrote:
> > On Thu, Apr 04, 2024 at 09:08:46AM +0200, Han-Wen Nienhuys wrote:
[snip]
> > It might not be the cleanest way to handle this, but I think this patch
> > is an improvement over the previous state because we plug a memory leak
> > and deduplicate the cleanup logic. So I would suggest to defer your
> > proposed refactorings to a later point, if you're okay with that.
> 
> yes. Please add reftable_writer_release to reftable-writer.h for
> consistency, though. Or remove the reftable_ prefix.

I've dropped the `reftable_` prefix locally. Will wait a bit for
additional reviews though before sending out v3.

Patrick